<%@ Page Language="vb" AutoEventWireup="false" Codebehind="Sample24.aspx.vb" Inherits="AxpDBNet2002VBSample.Sample24" %>
<%@ Register TagPrefix="axp" Namespace="Axezz.WebControls" Assembly="AxpDBNet" %>
<%@ Register TagPrefix="uc1" TagName="SkinChooser" Src="SkinChooser.ascx" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
    <title>AxpDataGrid Sample 24</title>
    <meta name="GENERATOR" content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" content="Visual Basic .NET 7.1">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
    <LINK href="../StyleSheet.css" rel="stylesheet">
    <LINK href="../css/AxpStyle<%=SkinChooser1.SelectedStyleSheet%>.css" rel="stylesheet">
  </HEAD>
  <body >
    <form id="Form1" method="post" runat="server">
			<a href="../Default.aspx"><b>Back to sample index</b></a><br>
			<h3>Sample 24 - Scrollable grid</h3>
			<p>
				<b>Note</b> Grid column widths must be set (Use GridCellWidths or the GridColumns collection)
			</p>
			<p>
			<uc1:SkinChooser id="SkinChooser1" runat="server"></uc1:SkinChooser>
			</p>
			
			<P>
				<Axp:AxpDataGrid id="AxpDataGrid1" runat="server" 
					SQL="Select ProductId,ProductName,QuantityPerUnit,UnitPrice,UnitsInStock,UnitsOnOrder From Products"
					FormSQL="Select * from Products"
					DisplayNavBar="both"
					EditOptions="ALL"
					EditPrimaryKeys="ProductId"
					EditFieldsReadOnly="1" 
					EditNewPKStatement="autoincrement"
					RowRollOverEffect="True"
					RowClickAction="openform"
					GridDisplayIndex="False"					
					Scroll="Vertical"
					ScrollHeight="150px"
					GridCellWidths="30,200,150,40,60,60"
					GridDisplayFieldNames="Id,Product Name,Quantity Per Unit,Price,In Order,In Stock"
					></Axp:AxpDataGrid>
			</P>
			
			<b> Axezz Data, Oslo Norway 2003-2004</b><br><br>

    </form>
  </body>
</HTML>
